Loading...
Searching...
No Matches
dolfin::RegularCutRefinement Class Reference

`#include <RegularCutRefinement.h>`

## Static Public Member Functions

static void | refine (Mesh &refined_mesh, const Mesh &mesh, const MeshFunction< bool > &cell_markers)

## Detailed Description

This class implements local mesh refinement by a regular cut of each cell marked for refinement in combination with propagation of cut edges to neighboring cells.

## Member Function Documentation

## refine()

void RegularCutRefinement::refine | ( | Mesh & | refined_mesh,
|  | const Mesh & | mesh,
|  | const MeshFunction< bool > & | cell_markers )

static

Refine mesh based on cell markers

Parameters

  refined_mesh | New Mesh
  mesh | Input Mesh
  cell_markers | Markers of MeshEntities to split (typically Cells)

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/refinement/RegularCutRefinement.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/refinement/RegularCutRefinement.cpp